Name:		gstm
Version:	1.2
Release:	%mkrel 6
Summary:	A front-end to ssh tunneling

Group:		Networking/Remote access
License:	GPL
URL:		http://gstm.sourceforge.net
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	desktop-file-utils
#BuildRequires:	gettext
BuildRequires:	gnomeui2-devel
Requires: openssh-clients

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for 
managing ssh tunneled portredirects.

%package -n gaskpass
Group:	Networking/Remote access
Summary: A Gnome X11 passphrase dialog for OpenSSH
%description -n gaskpass
%{summary}.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(gstm): command="/usr/bin/gstm" \
icon="gSTM.png" \
longtitle="Gnome SSH Tunnel Manager" \
needs="X11" \
section="Internet/Remote Access" \
startup_notify="true" \
title="Gstm" \
xdg="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_menudir}/%{name}

%files -n gaskpass
%{_bindir}/gaskpass

%changelog
* Sat Sep 16 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2-6
- initial Mandriva package

* Thu Sep 05 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-5
- Fixed %description and %datadir/pixmpaps

* Thu Aug 26 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-4
- Added patch from Laurent Rineau

* Thu Aug 19 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-3
- Added openssh in Requires

* Thu Aug 12 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-2
- Removed openssh in BuildRequires

* Thu Aug 08 2006 Damien Durand <splinux@fedoraproject.org> - 1.2-1
- Initial package
